Subject: [alpine-devel] [PATCH] Upgrade phonon for building on 64

From: k0r10n <[email-masked]>
Date: Sat, 11 Oct 2014 08:35:48 +0400

---
 testing/phonon/APKBUILD | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/testing/phonon/APKBUILD b/testing/phonon/APKBUILD
index 781ee06..e1d6ba9 100644
--- a/testing/phonon/APKBUILD
+++ b/testing/phonon/APKBUILD
@@ -28,7 +28,13 @@ prepare() {
 
 build() {
 	cd "$_builddir"/build
-	cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_SKIP_RPATH=ON "$_builddir" || return 1
+	cmake -DCMAKE_INSTALL_PREFIX=/usr \
+	      -DCMAKE_BUILD_TYPE=Release \
+	      -DCMAKE_INSTALL_LIBDIR=lib \
+	      -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=FALSE \
+	      -DDBUS_INTERFACES_INSTALL_DIR=/usr/share/dbus-1/interfaces \
+	      -Wno-dev \
+	      "$_builddir" || return 1
 	make || return 1
 }
 
-- 
2.0.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---